cordova.define("cordova-plugin-sw.plugin", function(require, exports, module) {
var exec = require('cordova/exec');

var PLUGIN_NAME = 'MyCordovaPlugin';

var MyCordovaPlugin = {
    echo: function (phrase, cb) {
        exec(cb, null, PLUGIN_NAME, 'echo', [phrase]);
    },
    getDate: function (cb) {
        exec(cb, null, PLUGIN_NAME, 'getDate', []);
    },
    initScan:function(cb){
        /*
        * 初始化扫描，注册监听器
        * */
        exec(cb, null, PLUGIN_NAME, 'initScan', []);
    },
    startScan:function(cb) {
        /*
        * 打开扫描
        * */
        exec(cb, null, PLUGIN_NAME, 'startScan', []);
    },
    stopScan:function(cb) {
        /*
        * 手动停止扫描
        * */
        exec(cb, null, PLUGIN_NAME, 'stopScan', []);
    },
    revokeScan:function(cb) {
        /*
        * 注销扫描监听器，防止内存泄露
        * */
        exec(cb, null, PLUGIN_NAME, 'revokeScan', []);
    }
};

module.exports = MyCordovaPlugin;

});
